package com.sun.xml.internal.bind.v2.runtime.unmarshaller;

import org.xml.sax.SAXException;
import javax.xml.namespace.NamespaceContext;

public interface XmlVisitor
{
    public abstract void startDocument(LocatorEx p0, NamespaceContext p1) throws SAXException;
    
    public abstract void endDocument() throws SAXException;
    
    public abstract void startElement(TagName p0) throws SAXException;
    
    public abstract void endElement(TagName p0) throws SAXException;
    
    public abstract void startPrefixMapping(String p0, String p1) throws SAXException;
    
    public abstract void endPrefixMapping(String p0) throws SAXException;
    
    public abstract void text(CharSequence p0) throws SAXException;
    
    public abstract UnmarshallingContext getContext();
    
    public abstract XmlVisitor.TextPredictor getPredictor();
    
    public interface TextPredictor
    {
        public abstract boolean expectText();
    }
}
